import React from "react";
import "../App.css";
import { Link } from "react-router-dom";

const CharacterCard = (props) => {
  return (
    <ul className="character-container">
      {props.data.map((character, index) => {
        // Extract ID from character's URL
        const id = character.url.split("/").filter(Boolean).pop();
        return (
          <li className="character-card" key={index}>
            <Link to={`/characterDetails/${id}`}>
              <div className="character-details">
                <p>Name: {character.name}</p>
                <p>Gender: {character.gender}</p>
                <p>Height: {character.height} cm</p>
                <p>Hair Color: {character.hair_color}</p>
                <p>Birth Year: {character.birth_year}</p>
              </div>
            </Link>
          </li>
        );
      })}
    </ul>
  );
};

export default CharacterCard;
