import axios from "axios";
import React, { useEffect, useState } from "react";
import { useParams } from "react-router";
const CharacterDetails = () => {
  const { id } = useParams();
  console.log(id);
  const [character, setCharacter] = useState(null);
  const [loading, setLoading] = useState(false);

  useEffect(() => {
    setLoading(true);
    axios
      .get(`https://swapi.py4e.com/api/people/${id}/`)
      .then((res) => {
        setCharacter(res.data);
        setLoading(false);
      })
      .catch((err) => {
        console.log(err);
      });
  }, []);

  if (loading) {
    return <p> loading...</p>;
  }

  if (!character) {
    return <p> Character Details not found!</p>;
  }

  return (
    <div className="character-detail-page">
      <p>{character.name}</p>
      <p>
        <strong>Gender: </strong>
        {character.gender}
      </p>
      <p>
        <strong>Home World: </strong>
        {character.homeworld}
      </p>
      <p>
        <strong>Species: </strong> {character.species}
      </p>
      <p>
        <strong>Films: </strong> {character.films}
      </p>
      <p>
        <strong>Height: </strong> {character.height} cm
      </p>
      <p>
        <strong>Hair Color: </strong> {character.hair_color}
      </p>
      <p>
        <strong>Birth Year: </strong> {character.birth_year}
      </p>
    </div>
  );
};

export default CharacterDetails;
