import React, { useEffect, useState } from "react";
import axios from "axios";
import CharacterCard from "../components/CharacterCard";

const Home = () => {
  const [page, setPage] = useState(1);
  const [data, setData] = useState([]);
  const [loading, setLoading] = useState(false);

  const increment = () => {
    setPage(page + 1);
  };

  const decrement = () => {
    setPage(page - 1);
  };

  useEffect(() => {
    setLoading(true);
    axios.get(`https://swapi.py4e.com/api/people/?page=${page}`).then((res) => {
      setData(res.data.results);
      setLoading(false);
    });
  }, [page]);

  return (
    <div className="main">
      <div className="header">
        <img src="/images/logo.png" alt="Logo" />
      </div>

      {loading ? <p className="loading">Loading...</p> : <CharacterCard data={data} />}
      {!loading && <div className="showPage">Page: {page}</div>}

      <div className="changePage">
        <button className="button" disabled={page === 1} onClick={decrement}>
          Previous
        </button>
        <button className="button" onClick={increment}>
          Next
        </button>
      </div>  
    </div>
  );
};

export default Home;
